libqtcurve-utils2-1.9.0-3.5.x86_64.rpm


Advertisement

Description

libqtcurve-utils2 - QtCurve style for Qt and GTK+

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE KDE Extra all
Package name libqtcurve-utils2
Package version 1.9.0
Package release 3.5
Package architecture x86_64
Package type rpm
Installed size 75.17 KB
Download size 53.12 KB
Official Mirror ftp.gwdg.de
QtCurve is a set of widget styles available for Qt and GTK+.
This package cointains basic helper library needed for qtcurve.

Alternatives

Package Version Architecture Repository
libqtcurve-utils2-1.8.19~git20150303-4.2.x86_64.rpm 1.8.19~git20150303 x86_64 openSUSE Oss
libqtcurve-utils2 - - -

Requires

Name Value
/sbin/ldconfig -
libX11-xcb.so.1()(64bit) -
libX11.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.19)(64bit) -
libxcb.so.1()(64bit) -

Provides

Name Value
libqtcurve-utils.so.2()(64bit) -
libqtcurve-utils2 = 1.9.0-3.5
libqtcurve-utils2(x86-64) = 1.9.0-3.5

Download

Type URL
Binary Package libqtcurve-utils2-1.9.0-3.5.x86_64.rpm
Source Package qtcurve-1.9.0-3.5.src.rpm

Install Howto

  1. Add the openSUSE KDE Extra repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/KDE:/Extra/openSUSE_Leap_42.3/ opensuse-kde-extra
  2. Install libqtcurve-utils2 rpm package:
    # zypper install libqtcurve-utils2

Files

Path
/usr/lib64/libqtcurve-utils.so.2
/usr/lib64/libqtcurve-utils.so.2.0

Changelog

2017-07-18 - wbauer@tmo.at
- Rename source package to qtcurve
- Also add qtcurve-qt5 to baselibs.conf to provide
qtcurve-qt5-32bit
2017-07-17 - ilya@ilya.pp.ua
- Add baselibs.conf for providing packages:
* libqtcurve-utils2-32bit
* libqtcurve-cairo1-32bit
* qtcurve-kde4-32bit
* qtcurve-gtk2-32bit
2017-06-02 - wbauer@tmo.at
- Update to 1.9.0
* Make X11 drop shadow size configurable
2017-05-27 - wbauer@tmo.at
- Update to 1.8.19~git20170506
* too many changes/fixes to list here
* fixes build with Qt 5.9
- Drop fix-build-with-gcc5.patch, fixed upstream
2016-05-04 - wbauer@tmo.at
- Added fix-build-with-gcc5.patch: fixes build in Factory
2015-03-09 - hrvoje.senjan@gmail.com
- Update to 1.8.19~git20150303
* Added KF5 config module
- Drop sync_to_master.diff, merged upstream
- Added extra-cmake-modules, karchive-devel, kconfig-devel,
kconfigwidgets-devel, kdelibs4support-devel, ki18n-devel, kio-devel,
kwidgetsaddons-devel and kxmlgui-devel BuildRequires
- Drop openSUSE 13.1 support (too old cmake and Qt5, missing KF5)
2014-06-27 - hrvoje.senjan@gmail.com
- Added sync_to_master.diff, resolves following issues:
https://github.com/QtCurve/qtcurve/issues/49
https://github.com/QtCurve/qtcurve/issues/52
https://github.com/QtCurve/qtcurve/issues/54
https://github.com/QtCurve/qtcurve/issues/58
- Drop omit_deprecated_apis.patch, contained in above patch
2014-05-05 - hrvoje.senjan@gmail.com
- Build Qt5 style for 13.1 and newer:
* Create qtcurve-qt5 subpackage
* Added omit_deprecated_apis.patch, removes usage of filehooks API
removed with Qt 5.3
* Added BuildRequires:  pkgconfig(Qt5Core), pkgconfig(Qt5Gui),
pkgconfig(Qt5Widgets), pkgconfig(Qt5Svg), pkgconfig(Qt5DBus),
pkgconfig(Qt5X11Extras) and libQt5Widgets-private-headers-devel
2014-01-31 - hrvoje.senjan@gmail.com
- Update to 1.8.18
* Remove mozilla version detection.
* Remove QTC_GTK2_OLD_MOZILLA.
* Remove xcb-image dependency. It is never used.
* Fix old configure file loading in gtk2 version.
* Fix compile without Qt
* Relicense under LGPL. With permission from all contributors
in the git log.
* Treat Qt::Sheet as Qt::Dialog. This fixes translucent
background for close confirmation dialog in QtDesigner.
* Remove backward compatible options for deprecated options.
* Introduce prePolish() to Workaround a bug in Qt5 which make it
impossible for QMainWindow and QDialog to be transparent.
* Fix compilation without X11 enabled.
* Use prePolish() in qt4, this fixes most of application crashes.
* Fix Qt menubar background when translucency is enabled.
* Fix flash plugin in non-chromium/firefox browsers in linux when
translucent background is enabled for gtk.
* Fix (workaround) kaffeine with translucent background.
* Remove parentless dialog fix
* Fix kscreenlocker. Second version of prepolishing
* Improve shadow of QBalloonTip
* Fix chromium background color with custom background.
* Gtk2: Workaround buggy signal handler in applications.
- Rename libqtcurve-utils0 to libqtcurve-utils1 as per upstream
change
- New libqtcurve-cairo0 subpackage, needed for common drawing
routines. It is only used by the Gtk2 version (and may be used
in Gtk3 version once there is a port).
- Drop pkgconfig(xcb-image) and added
pkgconfig(x11-xcb)/pkgconfig(xcb) BuildRequires
- Drop qtcurve-1.8.17-fix_run_command.patch, not required anymore
2014-01-14 - asn@cryptomilk.org
- Implement a better runCommand fixing firefox issues.

See Also

Package Description
libqtkeychain1-0.8.0-14.2.x86_64.rpm Platform-independent Qt API for storing passwords securely
libtag-extras1-1.0.1-26.6.x86_64.rpm Extra plugins for TagLib
libtelegram-qt5-0_1-0.1.0-1.5.x86_64.rpm Telegram Binding for Qt5
libtomahawk-devel-0.8.4-22.7.x86_64.rpm Development files for libtomahawk
libtomahawk-playdarapi0_8_4-0.8.4-22.7.x86_64.rpm Library providing the Playdar API functionality of Tomahawk Player
libtomahawk-plugins-0.8.4-22.7.x86_64.rpm Plugins providing the core functionality of Tomahawk Player
libtomahawk-plugins-telepathy-0.8.4-22.7.x86_64.rpm Plugin providing the Telepathy functionality of Tomahawk Player
libtomahawk-plugins-telepathy-kde-0.8.4-22.7.x86_64.rpm Plugin providing the KDE config for the Telepathy in Tomahawk
libtomahawk-widgets0_8_4-0.8.4-22.7.x86_64.rpm Library providing widgets of Tomahawk Player
libtomahawk0_8_4-0.8.4-22.7.x86_64.rpm Library providing the core functionality of Tomahawk Player
loudmouth-devel-1.5.3-2.5.x86_64.rpm Jabber Client Library Written in C
loudmouth-doc-1.5.3-2.5.x86_64.rpm Jabber Client Library Written in C
luckybackup-0.4.9-1.5.x86_64.rpm A powerful, fast and reliable backup & sync tool
mangonel-1.1-1.8.x86_64.rpm Mangonel Application Launcher
mangonel-lang-1.1-1.8.noarch.rpm Languages for package mangonel
Advertisement
Advertisement